RKDELETEDIC(3)

NAME
RkDeleteDic - delete specified candidates from a dictionary

SYNOPSIS
#include <canna/RK.h>
int RkDeleteDic(cxnum, dicname, wordrec)
int cxnum;
char *dicname;
char *wordrec;

DESCRIPTION
RkDeleteDic deletes specified candidates from the dictionary named by dicname. Specify the word to delete in the character string wordrec, which is written in the format:

    reading part-of-speech information kanji candidate

Writing wordrec, for example, as

    (HIRAGANA) #T35 (KANJI) ...

will specify a candidate whose part of speech #T35 is defined by the reading "(HIRAGANA)" and whose spelling matches "(KANJI)".

RETURN VALUE
This function returns 0 if successful; otherwise it returns -1. It also returns -1, without doing anything, if it has been run in a conversion mode context.